fop 1.1

## org.apache.fop.pdf
Class TransitionDictionary

    java.lang.Object
      org.apache.fop.pdf.PDFObject
          org.apache.fop.pdf.PDFDictionary
              org.apache.fop.pdf.TransitionDictionary

All Implemented Interfaces:
  PDFWritable

    public class TransitionDictionary

extends PDFDictionary

Transition Dictionary This class is used to build a transition dictionary to specify the transition between pages.

Field Summary

Fields inherited from class org.apache.fop.pdf.PDFDictionary
`entries, order`

Fields inherited from class org.apache.fop.pdf.PDFObject
`log`

Constructor Summary
`TransitionDictionary()` Create a Transition Dictionary

Method Summary

Methods inherited from class org.apache.fop.pdf.PDFDictionary
`get, output, put, put, writeDictionary`

Methods inherited from class org.apache.fop.pdf.PDFObject
`contentEquals, encode, encodeBinaryToHexString, encodeString, encodeText, formatObject, getDocument, getDocumentSafely, getGeneration, getObjectID, getObjectNumber, getParent, hasObjectNumber, makeReference, outputInline, referencePDF, setDocument, setObjectNumber, setParent, toPDF, toPDFString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransitionDictionary

    public TransitionDictionary()

  Create a Transition Dictionary

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.